Subject: Re: bug#21974: can't build guix without 'makeinfo'
From: [email-masked] (Ludovic Courtès)
To: Jan Synáček <[email-masked]>
Cc: [email-masked]
Date: Sun, 22 Nov 2015 11:31:51 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Jan Synáček <[email-masked]> skribis:

> On Sat, Nov 21, 2015 at 9:40 PM, Ludovic Courtès <[email-masked]> wrote:
>> Jan Synáček <[email-masked]> skribis:
>>
>>> The build fails with an error if the 'makeinfo' binary is missing on
>>> the system. The configure script should check for 'makeinfo' and fail
>>> if not found (or maybe warn that the docs won't be built?).
>>
>> ‘makeinfo’ is necessary when building from a checkout or otherwise
>> modifying the manual, but it’s not necessary when building from a
>> tarball.  See
>> <https://www.gnu.org/software/guix/manual/html_node/Building-from-Git.html>.
>>
>> Can you confirm you were building from a checkout?
>
> Yes, I was building from a checkout.

OK.

> Maybe it would make sense to make it optional, as 'help2man' is? I was
> only trying to test the latest version of guix and wasn't really
> interested in the documentation changes.

I think it cannot be made more optional than it currently is.
‘MAKEINFO’ is currently defined as:

  MAKEINFO = ${SHELL} …/build-aux/missing makeinfo

meaning that you get a warning when ‘makeinfo’ is missing.

Regardless, I would recommend the following to set up a development
environment for Guix:

  guix environment guix

I realize this wasn’t documented, so I’ve added it to “Building from
Git.”

Thanks,
Ludo’.